import { EventEmitter } from '../../../../../stencil-public-runtime';
import { Scale } from '../../theme';
import { DvnSelectDataAdapter } from './data-adapter';
import { DvnSelectDataProvider } from './data-provider';
export declare type SelectValueChangeEvent = CustomEvent<string>;
export declare class DvnSelect {
  internalValue?: string | string[];
  expanded: boolean;
  hasDefaultValue: boolean;
  optionsFromProvider: any[];
  progressing: boolean;
  scale: Scale;
  feedback?: 'error' | 'warning';
  leaned: boolean;
  disabled: boolean;
  value?: string | string[];
  width?: string;
  enableClear?: boolean;
  enableSearch?: boolean;
  multiple: boolean;
  dataProvider?: DvnSelectDataProvider<any>;
  dataAdapter?: DvnSelectDataAdapter<any>;
  hideCaret: boolean;
  hideCheck: boolean;
  hideScrollbar: boolean;
  optionsContainerMaxHeight?: string;
  change: EventEmitter;
  el: HTMLElement;
  placeholder?: any;
  quickSearchDelayTimer: any;
  componentWillLoad(): void;
  focusOnInput(): void;
  watchHandler(newValue: string | string[]): void;
  click(event: MouseEvent): void;
  toggleSelectedValues(): void;
  getMultipleValueLabel(): string;
  expandOptions(): void;
  focusOnSearchInput(): void;
  fetchOptions(): void;
  render(): any;
  private filterOptions;
}
